#include "Point.h"
#include <math.h>

Point::Point() {
    x = 0;
    y = 0;
}

Point::Point(SQ7x8 x, SQ7x8 y) {
    this->x = x;
    this->y = y;
}

int Point::Distance(const Point & other) {
    auto dx = (x - other.x);
    auto dy = (y - other.y);
    return sqrt(static_cast < double > ((dx * dx) + (dy * dy)));
}

